org.eclipse.emf.spi.cdo

## Class InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState

- Enclosing interface:
    InternalCDOXATransaction.InternalCDOXACommitContext

      public abstract static class InternalCDOXATransaction.InternalCDOXACommitContext.CDOXAState
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOXAState()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check_result(CDOSessionProtocol.CommitTransactionResult result)`
    `abstract void` | `handle(InternalCDOXATransaction.InternalCDOXACommitContext xaContext, IProgressMonitor progressMonitor)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOXAState

          public CDOXAState()

  - ### Method Detail

    - #### check_result

          public void check_result(CDOSessionProtocol.CommitTransactionResult result)

    - #### handle

          public abstract void handle(InternalCDOXATransaction.InternalCDOXACommitContext xaContext,
                                      IProgressMonitor progressMonitor)
                               throws Exception

      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html